# Security
#

SECRET_KEY=
ADMIN_API_TOKEN=

#
# Networking
#

# The base domain
DOMAIN=workadventure.localhost

# Subdomains
# MUST match the DOMAIN variable above
FRONT_HOST=front.workadventure.localhost
PUSHER_HOST=pusher.workadventure.localhost
BACK_HOST=api.workadventure.localhost
MAPS_HOST=maps.workadventure.localhost
ICON_HOST=icon.workadventure.localhost

# SAAS admin panel
ADMIN_API_URL=

#
# Basic configuration
#

# The directory to store data in
DATA_DIR=./wa

# The URL used by default, in the form: "/_/global/map/url.json"
START_ROOM_URL=/_/global/maps.workadventu.re/Floor0/floor0.json

# If you want to have a contact page in your menu,
# you MUST set CONTACT_URL to the URL of the page that you want
CONTACT_URL=

MAX_PER_GROUP=4
MAX_USERNAME_LENGTH=8
DISABLE_ANONYMOUS=false

# The version of the docker image to use
# MUST uncomment "image" keys in the docker-compose file for it to be effective
VERSION=master

TZ=Europe/Paris

#
# Jitsi
#

JITSI_URL=meet.jit.si
# If your Jitsi environment has authentication set up,
# you MUST set JITSI_PRIVATE_MODE to "true"
# and you MUST pass a SECRET_JITSI_KEY to generate the JWT secret
JITSI_PRIVATE_MODE=false
JITSI_ISS=
SECRET_JITSI_KEY=

#
# Turn/Stun
#

# URL of the TURN server (needed to "punch a hole" through some networks for P2P connections)
TURN_SERVER=
TURN_USER=
TURN_PASSWORD=
# If your Turn server is configured to use the Turn REST API, you MUST put the shared auth secret here.
# If you are using Coturn, this is the value of the "static-auth-secret" parameter in your coturn config file.
# Keep empty if you are sharing hard coded / clear text credentials.
TURN_STATIC_AUTH_SECRET=
# URL of the STUN server
STUN_SERVER=

#
# Certificate config
#

# The email address used by Let's encrypt to send renewal warnings (compulsory)
ACME_EMAIL=

#
# Additional app configs
# Configuration for apps which are not workadventure itself
#

# openID
OPID_CLIENT_ID=
OPID_CLIENT_SECRET=
OPID_CLIENT_ISSUER=
OPID_CLIENT_REDIRECT_URL=
OPID_LOGIN_SCREEN_PROVIDER=http://pusher.workadventure.localhost/login-screen
OPID_PROFILE_SCREEN_PROVIDER=


#
# Advanced configuration
# Generally does not need to be changed
#

# Networking
HTTP_PORT=80
HTTPS_PORT=443

# Workadventure settings
DISABLE_NOTIFICATIONS=false
SKIP_RENDER_OPTIMIZATIONS=false
STORE_VARIABLES_FOR_LOCAL_MAPS=true

# Debugging options
DEBUG_MODE=false
LOG_LEVEL=WARN

# Internal URLs
API_URL=back:50051

RESTART_POLICY=unless-stopped
